std::__future_base Struct Reference
Concurrency » Futures

`#include <future>`

Inheritance diagram for std::__future_base:
[legend]

## Classes

struct | _Result
struct | _Result< _Res & >
struct | _Result< void >
struct | _Result_alloc
struct | _Result_base

## Public Types

template<typename _Res>
using | _Ptr
using | _State_base

## Static Public Member Functions

template<typename _Res, typename _Allocator>
static _Ptr< _Result_alloc< _Res, _Allocator > > | _S_allocate_result (const _Allocator &__a)
template<typename _Res, typename _Tp>
static _Ptr< _Result< _Res > > | _S_allocate_result (const std::allocator< _Tp > &__a)
template<typename _Res_ptr, typename _BoundFn>
static _Task_setter< _Res_ptr, _BoundFn > | _S_task_setter (_Res_ptr &__ptr, _BoundFn &__call)

## Detailed Description

Base class and enclosing scope.

Definition at line 197 of file future.

## Member Typedef Documentation

## _Ptr

template<typename _Res>

using std::__future_base::_Ptr

A unique_ptr for result objects.

Definition at line 222 of file future.

## _State_base

using std::__future_base::_State_base

Definition at line 597 of file future.

## Member Function Documentation

## _S_allocate_result() [1/2]

template<typename _Res, typename _Allocator>

_Ptr< _Result_alloc< _Res, _Allocator > > std::__future_base::_S_allocate_result | ( | const _Allocator & | __a | ) |

inline static

Definition at line 287 of file future.

## _S_allocate_result() [2/2]

template<typename _Res, typename _Tp>

_Ptr< _Result< _Res > > std::__future_base::_S_allocate_result | ( | const std::allocator< _Tp > & | __a | ) |

inline static

Definition at line 300 of file future.

## _S_task_setter()

template<typename _Res_ptr, typename _BoundFn>

_Task_setter< _Res_ptr, _BoundFn > std::__future_base::_S_task_setter | ( | _Res_ptr & | __ptr,
|  | _BoundFn & | __call )

inline static

Definition at line 621 of file future.

The documentation for this struct was generated from the following file:

- future